RDKit: RDKit::EnumerationStrategyPickler Namespace Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Functions
RDKit::EnumerationStrategyPickler Namespace Reference

## Functions
void | pickle (const boost::shared_ptr< EnumerationStrategyBase > &enumerator, std::ostream &ss)
| pickles a EnumerationStrategy and adds the results to a stream `ss` More...
void | pickle (const boost::shared_ptr< EnumerationStrategyBase > &enumerator, std::string &s)
boost::shared_ptr< EnumerationStrategyBase > | fromPickle (std::istream &pickle)
boost::shared_ptr< EnumerationStrategyBase > | fromPickle (const std::string &pickle)
| a pointer to the EnumerationStrategyBase More...

## Function Documentation

boost::shared_ptr<EnumerationStrategyBase> RDKit::EnumerationStrategyPickler::fromPickle | ( | std::istream & | pickle | ) |

constructs a EnumerationStrategy from a pickle stored in a string Since an EnumerationStrategyBase is polymorphic, this must return a shared pointer to the EnumerationStrategyBase

Referenced by RDKit::EnumerateLibraryBase::initFromString().

boost::shared_ptr<EnumerationStrategyBase> RDKit::EnumerationStrategyPickler::fromPickle | ( | const std::string & | pickle | ) |

a pointer to the EnumerationStrategyBase

void RDKit::EnumerationStrategyPickler::pickle | ( | const boost::shared_ptr< EnumerationStrategyBase > & | enumerator,
|  | std::ostream & | ss
| ) |  |

pickles a EnumerationStrategy and adds the results to a stream `ss`

Referenced by RDKit::FragCatalogEntry::FragCatalogEntry(), RDKit::FragCatParams::FragCatParams(), RDKit::EnumerateLibrary::getReagents(), RDCatalog::HierarchCatalog< entryType, paramType, orderType >::HierarchCatalog(), RDKit::EnumerateLibraryBase::initFromString(), RDKit::MolCatalogParams::MolCatalogParams(), RDKit::MolPickler::pickleMol(), RDKit::ReactionPickler::pickleReaction(), and ChemicalFeatures::FreeChemicalFeature::setPos().

void RDKit::EnumerationStrategyPickler::pickle | ( | const boost::shared_ptr< EnumerationStrategyBase > & | enumerator,
|  | std::string & | s
| ) |  |